package _VisualDVM.Passes;
import Common.Passes.Pass;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Repository.Component.Component;
public abstract class CurrentComponentPass extends Pass<Component> {
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (Global.mainModule.Check(Log, Current.Component)) {
            target = Global.mainModule.getComponent();
            return true;
        }
        return false;
    }
}
